Summary:	Set of tools that assist applications with desktop integration
Summary(pl.UTF-8):	Zestaw narzędzi ułatwiających integrację aplikacji ze środowiskami graficznymi
Name:		xdg-utils
Version:	1.2.1
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://gitlab.freedesktop.org/xdg/xdg-utils/-/archive/v%{version}/%{name}-v%{version}.tar.bz2
# Source0-md5:	6c198bfdcbba13652276bb2bd5ffa80c
Source1:	get-source.sh
URL:		https://www.freedesktop.org/wiki/Software/xdg-utils/
BuildRequires:	xmlto
Requires:	coreutils
Requires:	desktop-file-utils
Requires:	which
Requires:	xorg-app-xprop
Requires:	xorg-app-xset
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xdg-utils is a set of command line tools that assist applications with
a variety of desktop integration tasks. About half of the tools focus
on tasks commonly required during the installation of a desktop
application and the other half focuses on integration with the desktop
environment while the application is running.

%description -l pl.UTF-8
Xdg-utils to zestaw obsługiwanych z linii poleceń narzędzi
ułatwiających integrację aplikacji z różnymi środowiskami graficznymi.
Mniej więcej połowa z tych narzędzi przydatna jest w czasie instalacji
danej aplikacji, a druga połowa przydaje się już w czasie działania
aplikacji w danym środowisku graficznym.

%prep
%setup -q -n %{name}-v%{version}

%build
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE README.md RELEASE_NOTES TODO
%attr(755,root,root) %{_bindir}/xdg-desktop-icon
%attr(755,root,root) %{_bindir}/xdg-desktop-menu
%attr(755,root,root) %{_bindir}/xdg-email
%attr(755,root,root) %{_bindir}/xdg-icon-resource
%attr(755,root,root) %{_bindir}/xdg-mime
%attr(755,root,root) %{_bindir}/xdg-open
%attr(755,root,root) %{_bindir}/xdg-screensaver
%attr(755,root,root) %{_bindir}/xdg-settings
%{_mandir}/man1/xdg-desktop-icon.1*
%{_mandir}/man1/xdg-desktop-menu.1*
%{_mandir}/man1/xdg-email.1*
%{_mandir}/man1/xdg-icon-resource.1*
%{_mandir}/man1/xdg-mime.1*
%{_mandir}/man1/xdg-open.1*
%{_mandir}/man1/xdg-screensaver.1*
%{_mandir}/man1/xdg-settings.1*
%changelog
* Thu Feb 15 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xdg-utils.git;a=log;h=master

* Tue Feb 13 2024 Jan Palus <atler@pld-linux.org> ddcfe52
- up to 1.2.1

* Sat Apr 13 2019 Jan Palus <atler@pld-linux.org> 55b314a
- up to 1.1.3

* Mon Sep 25 2017 Jan Rękorajski <baggins@pld-linux.org> b1560cc
- up to 1.1.2

* Wed Nov 04 2015 Jakub Bogusz <qboosh@pld-linux.org> fb3377f
- updated to 1.1.1
- removed obsolete xdg-settings-add-MATE-support patch

* Sat Dec 29 2012 Elan Ruusamäe <glen@delfi.ee> 87db75c
- use -o to specify output file

* Sat Dec 29 2012 Elan Ruusamäe <glen@delfi.ee> d00c89c
- add mate support in xdg-settings

* Fri Dec 28 2012 Elan Ruusamäe <glen@delfi.ee> 5317865
- need to regenerate from .in in case of git checkout

* Fri Dec 28 2012 Elan Ruusamäe <glen@delfi.ee> 317d93f
- add get-source.sh script to make tarball of git checkout

* Fri Dec 28 2012 Elan Ruusamäe <glen@delfi.ee> 022ec3b
- up to 1.1.0 rc1, adds mate and gnome3 support

* Fri Jul 13 2012 Marcin Krol <hawk@tld-linux.org> 85062d1
- release 6 (by relup.sh)

* Wed Jan 19 2011 Elan Ruusamäe <glen@pld-linux.org> bf257e8
- xdg-screensaver uses xset; rel 5

* Sun Nov 21 2010 Jakub Bogusz <qboosh@pld-linux.org> c4a67f6
- removed unused ac/am BRs

* Sun Nov 21 2010 Jakub Bogusz <qboosh@pld-linux.org> c3fbbc6
- typos

* Thu Nov 18 2010 Elan Ruusamäe <glen@pld-linux.org> b16515e
- R: desktop-file-utils, noarch

* Thu Nov 18 2010 Elan Ruusamäe <glen@pld-linux.org> 53850f5
- up to 20101028 snapshot (support for current DE-s)

* Tue Sep 28 2010 Patryk Zawadzki <patrys@room-303.com> 3824d99
- only require satisfiable provides
- R: xorg-app-xprop

* Tue Sep 28 2010 pawelz <pawelz@pld-linux.org> 9b7bea8
- R: xprop
- rel 2

* Thu Mar 06 2008 Tomasz Pala <gotar@pld-linux.org> 36dc14b
- reformatting, other fixes

* Thu Mar 06 2008 Tomasz Pala <gotar@pld-linux.org> 48ba180
- spec file from Grzesiek Pycia

